Subject: technical tutorials (was: RE: Moving from "hosts" to "sponsors")

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Sun, 26 Mar 2006 14:50:07 +0200

> -----Original Message-----
> From: Hallam-Baker, Phillip [mailto:[email-masked]] 

> I don't think that the current meetings are power-point laden 
> summaries, but that would actually be useful. I often end up 
> going to sessions at conferences to find out what a WG is 
> intended to achieve. This only happens at IETF in the BOFs.
> 
> 
> I am not too worried about ending up with a trade show. The 
> real danger as I see it is adding a speaker track or having 
> open access to the trade show. A secondary risk is that 
> people who want to go to attend the IETF would get seconded 
> to man the booth.

I believe that I made this proposal in the past, in a plenary session a
while ago, when numbers in the IETF particpation were the issue.
Discussions hold then led to the edu track, which is however focused on
IETF process and not on technical or tutorial content. 

I do not see why should not the IETF offer a full Sunday track of
tutorials with technical content. Why should one go to a industry
conference or trade show to hear what is going on in an IETF WG, when
the principal contributors (WG chairs, editors) who usually give these
talks are all attending the IETF meetings? Having a full Sunday track of
tutorials would not only attract new people to come to the IETF and help
them justify to their employers and to themselves the cost of the
travel, but also improve the level of understanding of the technical
material in the WGs, increasing the chances that new attendees would
become active participants in a shorter time. 

We can even play with different fees structure (conference only,
tutorial only, conference + tutorial) to help people optimize their
costs. 

The extra money resulting from the tutorial fees and increased
participation would lower sponsoring costs, and hopefully the meeting
fees for the technical contributors.

Dan

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 Mar 2006 16:55:56 -0500

--On Sunday, 26 March, 2006 14:50 +0200 "Romascanu, Dan
\\(Dan\\)" <[email-masked]> wrote:

> I believe that I made this proposal in the past, in a plenary
> session a while ago, when numbers in the IETF particpation
> were the issue. Discussions hold then led to the edu track,
> which is however focused on IETF process and not on technical
> or tutorial content. 
> 
> I do not see why should not the IETF offer a full Sunday track
> of tutorials with technical content. Why should one go to a
> industry conference or trade show to hear what is going on in
> an IETF WG, when the principal contributors (WG chairs,
> editors) who usually give these talks are all attending the
> IETF meetings? Having a full Sunday track of tutorials would
> not only attract new people to come to the IETF and help them
> justify to their employers and to themselves the cost of the
> travel, but also improve the level of understanding of the
> technical material in the WGs, increasing the chances that new
> attendees would become active participants in a shorter time. 
> 
> We can even play with different fees structure (conference
> only, tutorial only, conference + tutorial) to help people
> optimize their costs. 
> 
> participation would lower sponsoring costs, and hopefully the
> meeting fees for the technical contributors.

Dan,

I see one major problem with this.  I tried to raise it with the
EDU team before Dallas but, other than one set of offline
comments from an individual, have gotten no response.

Despite all of the noise in the IPR WG, the biggest risks to a
standards body involve claims that the review and approval
process have been captured or manipulated by particular
interests, causing the documents that are produced to reflect
those manipulations rather than open and balanced community
consensus.

A tutorial whose subject matter is how to get things done in the
IETF -- how we are structured, how we do business, the tools we
use, and even what one needs to know technically and
structurally to write an I-D or RFC -- are not problematic.
But, as soon as we start giving technical tutorials that related
to areas that are under standardization, there is a risk of
someone later claiming that the tutorial content was biased in
one way or another that impacted the standardization choices we
made.  That would be extremely bad news... possibly of the
variety that could have the EDU team or the IESG neck-deep in
lawyers.

So, if there are to be technical tutorials, I suggest that you
start working on an organizational structure that would keep the
decisions about which sessions to hold and their content at
arms-length or further from anyone with decision-making
leadership in the IETF.  Even then, there are risks.  But a
decision made by an EDU team that operates under even general
IESG supervision, or with a lecturer who is involved in the
standards process and who is taking positions there (or is
associated with a company that is doing so), are really poor
ideas if we want to preserve both the fact and appearance of
fairness in the standards process.

    john

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 27 Mar 2006 11:03:31 +0200

Excuse front-posting but this will be short.

The EDU team discussed this very issue with the IAOC
in Dallas. There will be a draft revised charter for EDU
out for comment soon, but the short version is that (for
the reasons John gives) EDU will stick to classes aimed
at the IETF's own functioning. That doesn't exclude all
tecnical material, but as BCP 101 says, we don't
do fund-raising ourselves.

We do have a friendly fund-raising body, the ISOC. If full scale
technical tutorials are to be sold, ISOC should be the vehicle.

     Brian

---

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 27 Mar 2006 10:54:14 -0600

I meant to chat with John privately (sorry!) after seeing his concerns a 
couple of weeks ago.

I think we are conflating several good ideas in ways that are not helpful, 
so teasing them apart might help.

Specifically, distinguishing between

- presentations of proposed new work (something like the IEEE "Plenary 
Tutorials" that happen at night during IEEE meetings - see 
http://grouper.ieee.org/groups/802/3/tutorial/index.html - not a BOF, but an 
explanation,

- presentation of overall direction for technologies that we are actively 
working on (as Richard Lewis suggested earlier on this list), and

- presentations of work that has at least been through the standards process 
once (roughly, Radia Perlman's "Bridging and Routing" tutorial that has been 
given a few times at recent IETFs)

might be helpful - I'm pretty sure they don't all fit in the same box.

I should also point out that all three of these are different from 
"technical tutorials" covering specialist material that non-specialists need 
some level of familiarity with (roughly, the "Security" and "DNS" tutorials 
given at recent IETFs).

I should also point out that all *four* of the above are different from 
Interop/Usenix-style half-day or all-day tutorials (I suspect this may be 
where you start getting close to something that you could charge for).

I don't have special insight into the right way to do/not do any of these, 
I'm just trying to make sure that (for example) we don't whack the DNS 
tutorial because it's a "technical tutorial", since lots of people are 
noodling about SRV records, NAPTR records, etc. who have never operated a 
DNS server (so every clue helps).

Thanks,

Spencer